Emitted when a key-value pair is removed from a RealTimeObject.

### Hierarchy

- ObjectRemoveEvent

### Implements

- IValueChangedEvent

## Index

### Properties

- element
- key
- local
- name
- oldValue
- sessionId
- user
- NAME

## Properties

### element

element: ObservableObject

Implementation of IValueChangedEvent.element

A read-only representation of the RealTimeObject which was modified

### key

key: string

The key of the key-value pair that was removed

### local

local: boolean

Implementation of IValueChangedEvent.local

### name

name: string = ObjectRemoveEvent.NAME

Implementation of IValueChangedEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### oldValue

oldValue: ObservableElement<any>

A read-only representation of the value of the key-value-pair that was removed

### sessionId

sessionId: string

Implementation of IValueChangedEvent.sessionId

The sessionId corresponding to the session that performed the modification

### user

user: DomainUser

Implementation of IValueChangedEvent.user

The user which performed the modification

### StaticNAME

NAME: "remove" = "remove"